Packages - Bug #2970

[openmw] openmw package can't be installed - openscenegraph34 moved to openscenegraph
2021-01-28 06:42 PM - Phosit

Status: in progress % Done: 0%
Priority: bug

Assignee:

Category:

Description

openmw still depend on openscenegraph34.

History

#1 - 2022-05-07 12:38 PM - Zuss

Submitted a pull request to get OpenMW working with the latest version but that brings additional dependencies:
https://pagure.io/abslibre/pull-request/46

#2 - 2022-05-14 11:19 AM - Zuss

- Status changed from unconfirmed to in progress

#3 - 2022-12-20 08:23 PM - bill-auger

- Subject changed from [openmw] openscenegraph34 moved to openscenegraph to [openmw] openmw package can't be installed -
openscenegraph34 moved to openscenegraph

#4 - 2022-12-20 08:51 PM - direnis

i tried (https://pagure.io/forks/morris/abslibre.qgit) and it didnt worked for me

$ makepkg -sri

==> Making package: openmw 0.45.0-1.parabolal (Tue Dec 20 23:42:47 2022)
==> Checking runtime dependencies...

==> Installing missing dependencies...

error: target not found: openscenegraph34

==> ERROR: 'pacman' failed to install missing dependencies.

#5 - 2022-12-20 08:57 PM - bill-auger

Making package: openmw 0.45.0-1.parabola1

wrong version - you maybe checked-out the wrong branch - the important changes are on the 'openmw-0-47-0' branch

#6 - 2022-12-20 09:07 PM - direnis

Same issue is present there too,

$ makepkg -sri

==> WARNING: Cannot find the sudo binary. Will use su to acquire root privileges.
==> Making package: openmw 0.47.0-1.parabolal (Wed Dec 21 00:05:43 2022)

==> Checking runtime dependencies...

==> Installing missing dependencies...

error: target not found: recastnavigation

error: target not found: bullet-double

==> ERROR: 'pacman' failed to install missing dependencies.

#7 - 2022-12-20 10:02 PM - bill-auger

the pull request mentions that 'recastnavigation' and 'bullet-double’ would also need to be packaged to support ‘'openmw

https://pagure.io/fork/morris/abslibre/blob/openmw-0-47-0/f/pcr/recastnavigation
https://pagure.io/fork/morris/abslibre/blob/openmw-0-47-0/f/pcr/bullet-double
